// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 52;
	objects = {

/* Begin PBXBuildFile section */
		440E0F7026FD1F330098A266 /* MainPhoto.swift in Sources */ = {isa = PBXBuildFile; fileRef = 440E0F6F26FD1F330098A266 /* MainPhoto.swift */; };
		440E0F7326FD2C550098A266 /* QuizResultView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 440E0F7226FD2C550098A266 /* QuizResultView.swift */; };
		440E0F7526FD305C0098A266 /* QuizResultViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 440E0F7426FD305C0098A266 /* QuizResultViewModel.swift */; };
		440E0F7726FD30B10098A266 /* QuizResultCoordinator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 440E0F7626FD30B10098A266 /* QuizResultCoordinator.swift */; };
		440E0F9526FDF6450098A266 /* QuizHistoryService.swift in Sources */ = {isa = PBXBuildFile; fileRef = 440E0F9426FDF6450098A266 /* QuizHistoryService.swift */; };
		440E0F9726FDF68D0098A266 /* QuizHistory.swift in Sources */ = {isa = PBXBuildFile; fileRef = 440E0F9626FDF68D0098A266 /* QuizHistory.swift */; };
		440E0F9A26FDFE750098A266 /* SwiftyUserDefaults in Frameworks */ = {isa = PBXBuildFile; productRef = 440E0F9926FDFE750098A266 /* SwiftyUserDefaults */; };
		440E0F9C26FDFE910098A266 /* DefaultsKeys.swift in Sources */ = {isa = PBXBuildFile; fileRef = 440E0F9B26FDFE910098A266 /* DefaultsKeys.swift */; };
		440E0F9E26FF63C20098A266 /* QuizRecoveryService.swift in Sources */ = {isa = PBXBuildFile; fileRef = 440E0F9D26FF63C10098A266 /* QuizRecoveryService.swift */; };
		440E0FA026FF67800098A266 /* QuizRecovery.swift in Sources */ = {isa = PBXBuildFile; fileRef = 440E0F9F26FF67800098A266 /* QuizRecovery.swift */; };
		440E0FA226FF67DE0098A266 /* UserDefaultsService.swift in Sources */ = {isa = PBXBuildFile; fileRef = 440E0FA126FF67DE0098A266 /* UserDefaultsService.swift */; };
		448104D926FBA795007F37F0 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 448104D826FBA795007F37F0 /* AppDelegate.swift */; };
		448104DB26FBA795007F37F0 /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 448104DA26FBA795007F37F0 /* SceneDelegate.swift */; };
		448104DF26FBA798007F37F0 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 448104DE26FBA798007F37F0 /* Assets.xcassets */; };
		448104E226FBA798007F37F0 /* Preview Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 448104E126FBA798007F37F0 /* Preview Assets.xcassets */; };
		448104E526FBA798007F37F0 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 448104E326FBA798007F37F0 /* LaunchScreen.storyboard */; };
		448104F326FBA7C8007F37F0 /* QuizView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 448104EE26FBA7C8007F37F0 /* QuizView.swift */; };
		448104F426FBA7C8007F37F0 /* QuizzesView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 448104F026FBA7C8007F37F0 /* QuizzesView.swift */; };
		448104F526FBA7C8007F37F0 /* QuizRowView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 448104F126FBA7C8007F37F0 /* QuizRowView.swift */; };
		448104F626FBA7C8007F37F0 /* QuizzesViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 448104F226FBA7C8007F37F0 /* QuizzesViewModel.swift */; };
		448104F926FBA7D5007F37F0 /* ShortQuiz.swift in Sources */ = {isa = PBXBuildFile; fileRef = 448104F826FBA7D5007F37F0 /* ShortQuiz.swift */; };
		448104FD26FBA7E2007F37F0 /* ServiceLayer.swift in Sources */ = {isa = PBXBuildFile; fileRef = 448104FB26FBA7E2007F37F0 /* ServiceLayer.swift */; };
		448104FE26FBA7E2007F37F0 /* QuizeServiceLayer.swift in Sources */ = {isa = PBXBuildFile; fileRef = 448104FC26FBA7E2007F37F0 /* QuizeServiceLayer.swift */; };
		4481050026FBA7EE007F37F0 /* ImageURLBuilder.swift in Sources */ = {isa = PBXBuildFile; fileRef = 448104FF26FBA7EE007F37F0 /* ImageURLBuilder.swift */; };
		4481050526FBC76D007F37F0 /* Kingfisher in Frameworks */ = {isa = PBXBuildFile; productRef = 4481050426FBC76D007F37F0 /* Kingfisher */; };
		448456EB26FF756C003989CE /* Swinject in Frameworks */ = {isa = PBXBuildFile; productRef = 448456EA26FF756C003989CE /* Swinject */; };
		448456EF26FF761C003989CE /* UIApplication+dependencyContainer.swift in Sources */ = {isa = PBXBuildFile; fileRef = 448456EE26FF761C003989CE /* UIApplication+dependencyContainer.swift */; };
		448456F126FF7E4F003989CE /* Container+Expanded.swift in Sources */ = {isa = PBXBuildFile; fileRef = 448456F026FF7E4F003989CE /* Container+Expanded.swift */; };
		448456F52701273D003989CE /* QuizImage.swift in Sources */ = {isa = PBXBuildFile; fileRef = 448456F42701273D003989CE /* QuizImage.swift */; };
		44946BC626FC8B4000A260E1 /* QuizzesCoordinator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946BC526FC8B4000A260E1 /* QuizzesCoordinator.swift */; };
		44946BCA26FC8D0000A260E1 /* QuizCoordinator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946BC926FC8D0000A260E1 /* QuizCoordinator.swift */; };
		44946BCE26FC8D7000A260E1 /* QuizViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946BCD26FC8D7000A260E1 /* QuizViewModel.swift */; };
		44946BD226FCA19700A260E1 /* ButtonStyles.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946BD126FCA19700A260E1 /* ButtonStyles.swift */; };
		44946BD426FCBFD600A260E1 /* ProgressPresenter.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946BD326FCBFD600A260E1 /* ProgressPresenter.swift */; };
		44946BD626FCCC9A00A260E1 /* UIView+Constraints.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946BD526FCCC9A00A260E1 /* UIView+Constraints.swift */; };
		44946CCD26FCDB7B00A260E1 /* TransferState.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C7A26FCDB7A00A260E1 /* TransferState.swift */; };
		44946CCE26FCDB7B00A260E1 /* SequenceExtensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C7B26FCDB7A00A260E1 /* SequenceExtensions.swift */; };
		44946CCF26FCDB7B00A260E1 /* Lock.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C7C26FCDB7A00A260E1 /* Lock.swift */; };
		44946CD026FCDB7B00A260E1 /* StringExtensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C7D26FCDB7A00A260E1 /* StringExtensions.swift */; };
		44946CD126FCDB7B00A260E1 /* SwiftExtensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C7E26FCDB7A00A260E1 /* SwiftExtensions.swift */; };
		44946CD226FCDB7B00A260E1 /* AnyIdentifiable.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C7F26FCDB7A00A260E1 /* AnyIdentifiable.swift */; };
		44946CD326FCDB7B00A260E1 /* NSDecimalNumberOperators.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C8026FCDB7A00A260E1 /* NSDecimalNumberOperators.swift */; };
		44946CD426FCDB7B00A260E1 /* OptionalProtocol.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C8126FCDB7A00A260E1 /* OptionalProtocol.swift */; };
		44946CD526FCDB7B00A260E1 /* OrderedSet.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C8226FCDB7A00A260E1 /* OrderedSet.swift */; };
		44946CD626FCDB7B00A260E1 /* Regex.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C8326FCDB7A00A260E1 /* Regex.swift */; };
		44946CD726FCDB7B00A260E1 /* Atomic.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C8426FCDB7A00A260E1 /* Atomic.swift */; };
		44946CD826FCDB7B00A260E1 /* CollectionExtensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C8526FCDB7A00A260E1 /* CollectionExtensions.swift */; };
		44946CD926FCDB7B00A260E1 /* CombineExtensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C8726FCDB7A00A260E1 /* CombineExtensions.swift */; };
		44946CDA26FCDB7B00A260E1 /* Publisher+CombinePrevious.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C8826FCDB7A00A260E1 /* Publisher+CombinePrevious.swift */; };
		44946CDB26FCDB7B00A260E1 /* CombineExtensions+Cancellables.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C8926FCDB7A00A260E1 /* CombineExtensions+Cancellables.swift */; };
		44946CDC26FCDB7B00A260E1 /* AnyCurrentValuePublisher.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C8A26FCDB7A00A260E1 /* AnyCurrentValuePublisher.swift */; };
		44946CDD26FCDB7B00A260E1 /* AnyAction.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C8B26FCDB7A00A260E1 /* AnyAction.swift */; };
		44946CDE26FCDB7B00A260E1 /* OverridingAction.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C8C26FCDB7A00A260E1 /* OverridingAction.swift */; };
		44946CDF26FCDB7B00A260E1 /* Publisher+TransferState.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C8D26FCDB7A00A260E1 /* Publisher+TransferState.swift */; };
		44946CE026FCDB7B00A260E1 /* PublishersExtensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C8E26FCDB7A00A260E1 /* PublishersExtensions.swift */; };
		44946CE126FCDB7B00A260E1 /* Subject+SendResult.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C8F26FCDB7A00A260E1 /* Subject+SendResult.swift */; };
		44946CE226FCDB7B00A260E1 /* ActionError.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C9026FCDB7A00A260E1 /* ActionError.swift */; };
		44946CE326FCDB7B00A260E1 /* Subscriber+EraseToAnySubscriber.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C9126FCDB7B00A260E1 /* Subscriber+EraseToAnySubscriber.swift */; };
		44946CE426FCDB7B00A260E1 /* ObservableObjectExtensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C9226FCDB7B00A260E1 /* ObservableObjectExtensions.swift */; };
		44946CE526FCDB7B00A260E1 /* ActionProtocol.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C9326FCDB7B00A260E1 /* ActionProtocol.swift */; };
		44946CE626FCDB7B00A260E1 /* NSObject+CombineExtensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C9426FCDB7B00A260E1 /* NSObject+CombineExtensions.swift */; };
		44946CE726FCDB7B00A260E1 /* CoalescingAction.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C9526FCDB7B00A260E1 /* CoalescingAction.swift */; };
		44946CE826FCDB7B00A260E1 /* Action.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C9626FCDB7B00A260E1 /* Action.swift */; };
		44946CE926FCDB7B00A260E1 /* Published+PublisherInit.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C9726FCDB7B00A260E1 /* Published+PublisherInit.swift */; };
		44946CEA26FCDB7B00A260E1 /* Publisher+IgnoreRepeats.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C9826FCDB7B00A260E1 /* Publisher+IgnoreRepeats.swift */; };
		44946CEB26FCDB7B00A260E1 /* Publisher+AdditionalHandleEvents.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C9926FCDB7B00A260E1 /* Publisher+AdditionalHandleEvents.swift */; };
		44946CEC26FCDB7B00A260E1 /* PublisherExtensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C9A26FCDB7B00A260E1 /* PublisherExtensions.swift */; };
		44946CED26FCDB7B00A260E1 /* LabelWithTitleAdjustment.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C9C26FCDB7B00A260E1 /* LabelWithTitleAdjustment.swift */; };
		44946CEE26FCDB7B00A260E1 /* DecoratingTextFieldDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C9D26FCDB7B00A260E1 /* DecoratingTextFieldDelegate.swift */; };
		44946CEF26FCDB7B00A260E1 /* ControlProtocol.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C9E26FCDB7B00A260E1 /* ControlProtocol.swift */; };
		44946CF026FCDB7B00A260E1 /* ScrollViewPage.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946C9F26FCDB7B00A260E1 /* ScrollViewPage.swift */; };
		44946CF126FCDB7B00A260E1 /* SetRootViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946CA026FCDB7B00A260E1 /* SetRootViewController.swift */; };
		44946CF226FCDB7B00A260E1 /* DimmingButton.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946CA126FCDB7B00A260E1 /* DimmingButton.swift */; };
		44946CF326FCDB7B00A260E1 /* KeyboardInsetHelper.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946CA226FCDB7B00A260E1 /* KeyboardInsetHelper.swift */; };
		44946CF426FCDB7B00A260E1 /* GradientView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946CA326FCDB7B00A260E1 /* GradientView.swift */; };
		44946CF526FCDB7B00A260E1 /* HairlineView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946CA426FCDB7B00A260E1 /* HairlineView.swift */; };
		44946CF626FCDB7B00A260E1 /* ButtonWithTitleAdjustment.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946CA526FCDB7B00A260E1 /* ButtonWithTitleAdjustment.swift */; };
		44946CF726FCDB7B00A260E1 /* UIExtensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946CA626FCDB7B00A260E1 /* UIExtensions.swift */; };
		44946CFC26FCDB7B00A260E1 /* ActionErrorProtocol.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946CAD26FCDB7B00A260E1 /* ActionErrorProtocol.swift */; };
		44946D0726FCDB7B00A260E1 /* ControlProtocol+Tapped.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946CBA26FCDB7B00A260E1 /* ControlProtocol+Tapped.swift */; };
		44946D0826FCDB7B00A260E1 /* UIControl+ControlEventsPublisher.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946CBB26FCDB7B00A260E1 /* UIControl+ControlEventsPublisher.swift */; };
		44946D0926FCDB7B00A260E1 /* TapAction.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946CBC26FCDB7B00A260E1 /* TapAction.swift */; };
		44946D0A26FCDB7B00A260E1 /* UITextInput+Combine.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946CBD26FCDB7B00A260E1 /* UITextInput+Combine.swift */; };
		44946D0B26FCDB7B00A260E1 /* CombineOperators+Optional.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946CBF26FCDB7B00A260E1 /* CombineOperators+Optional.swift */; };
		44946D0C26FCDB7B00A260E1 /* Combine+Operators.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946CC026FCDB7B00A260E1 /* Combine+Operators.swift */; };
		44946D1026FCDB7B00A260E1 /* BlurView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946CC626FCDB7B00A260E1 /* BlurView.swift */; };
		44946D1126FCDB7B00A260E1 /* FramePreferenceKey.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946CC726FCDB7B00A260E1 /* FramePreferenceKey.swift */; };
		44946D1226FCDB7B00A260E1 /* Binding+KeyPath.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946CC826FCDB7B00A260E1 /* Binding+KeyPath.swift */; };
		44946D1326FCDB7B00A260E1 /* BackgroundBlur.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946CC926FCDB7B00A260E1 /* BackgroundBlur.swift */; };
		44946D1426FCDB7B00A260E1 /* EdgeInsets+Helpers.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946CCA26FCDB7B00A260E1 /* EdgeInsets+Helpers.swift */; };
		44946D1526FCDB7B00A260E1 /* View+AnyView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946CCB26FCDB7B00A260E1 /* View+AnyView.swift */; };
		44946D1626FCDB7B00A260E1 /* ForEachWithIndex.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946CCC26FCDB7B00A260E1 /* ForEachWithIndex.swift */; };
		44946D1926FD001500A260E1 /* FullQuiz.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946D1826FD001400A260E1 /* FullQuiz.swift */; };
		44946D1C26FD0E9E00A260E1 /* QuantumValue.swift in Sources */ = {isa = PBXBuildFile; fileRef = 44946D1B26FD0E9E00A260E1 /* QuantumValue.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		440E0F6F26FD1F330098A266 /* MainPhoto.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MainPhoto.swift; sourceTree = "<group>"; };
		440E0F7226FD2C550098A266 /* QuizResultView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = QuizResultView.swift; sourceTree = "<group>"; };
		440E0F7426FD305C0098A266 /* QuizResultViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = QuizResultViewModel.swift; sourceTree = "<group>"; };
		440E0F7626FD30B10098A266 /* QuizResultCoordinator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = QuizResultCoordinator.swift; sourceTree = "<group>"; };
		440E0F9426FDF6450098A266 /* QuizHistoryService.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = QuizHistoryService.swift; sourceTree = "<group>"; };
		440E0F9626FDF68D0098A266 /* QuizHistory.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = QuizHistory.swift; sourceTree = "<group>"; };
		440E0F9B26FDFE910098A266 /* DefaultsKeys.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DefaultsKeys.swift; sourceTree = "<group>"; };
		440E0F9D26FF63C10098A266 /* QuizRecoveryService.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = QuizRecoveryService.swift; sourceTree = "<group>"; };
		440E0F9F26FF67800098A266 /* QuizRecovery.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = QuizRecovery.swift; sourceTree = "<group>"; };
		440E0FA126FF67DE0098A266 /* UserDefaultsService.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UserDefaultsService.swift; sourceTree = "<group>"; };
		448104D526FBA795007F37F0 /* WP_Project.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = WP_Project.app; sourceTree = BUILT_PRODUCTS_DIR; };
		448104D826FBA795007F37F0 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		448104DA26FBA795007F37F0 /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		448104DE26FBA798007F37F0 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		448104E126FBA798007F37F0 /* Preview Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = "Preview Assets.xcassets"; sourceTree = "<group>"; };
		448104E426FBA798007F37F0 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		448104E626FBA798007F37F0 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		448104EE26FBA7C8007F37F0 /* QuizView.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = QuizView.swift; sourceTree = "<group>"; };
		448104F026FBA7C8007F37F0 /* QuizzesView.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = QuizzesView.swift; sourceTree = "<group>"; };
		448104F126FBA7C8007F37F0 /* QuizRowView.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = QuizRowView.swift; sourceTree = "<group>"; };
		448104F226FBA7C8007F37F0 /* QuizzesViewModel.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = QuizzesViewModel.swift; sourceTree = "<group>"; };
		448104F826FBA7D5007F37F0 /* ShortQuiz.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ShortQuiz.swift; sourceTree = "<group>"; };
		448104FB26FBA7E2007F37F0 /* ServiceLayer.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ServiceLayer.swift; sourceTree = "<group>"; };
		448104FC26FBA7E2007F37F0 /* QuizeServiceLayer.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = QuizeServiceLayer.swift; sourceTree = "<group>"; };
		448104FF26FBA7EE007F37F0 /* ImageURLBuilder.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ImageURLBuilder.swift; sourceTree = "<group>"; };
		448456EE26FF761C003989CE /* UIApplication+dependencyContainer.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIApplication+dependencyContainer.swift"; sourceTree = "<group>"; };
		448456F026FF7E4F003989CE /* Container+Expanded.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Container+Expanded.swift"; sourceTree = "<group>"; };
		448456F42701273D003989CE /* QuizImage.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = QuizImage.swift; sourceTree = "<group>"; };
		44946BC526FC8B4000A260E1 /* QuizzesCoordinator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = QuizzesCoordinator.swift; sourceTree = "<group>"; };
		44946BC926FC8D0000A260E1 /* QuizCoordinator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = QuizCoordinator.swift; sourceTree = "<group>"; };
		44946BCD26FC8D7000A260E1 /* QuizViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = QuizViewModel.swift; sourceTree = "<group>"; };
		44946BD126FCA19700A260E1 /* ButtonStyles.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ButtonStyles.swift; sourceTree = "<group>"; };
		44946BD326FCBFD600A260E1 /* ProgressPresenter.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ProgressPresenter.swift; sourceTree = "<group>"; };
		44946BD526FCCC9A00A260E1 /* UIView+Constraints.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "UIView+Constraints.swift"; sourceTree = "<group>"; };
		44946C7A26FCDB7A00A260E1 /* TransferState.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = TransferState.swift; sourceTree = "<group>"; };
		44946C7B26FCDB7A00A260E1 /* SequenceExtensions.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = SequenceExtensions.swift; sourceTree = "<group>"; };
		44946C7C26FCDB7A00A260E1 /* Lock.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Lock.swift; sourceTree = "<group>"; };
		44946C7D26FCDB7A00A260E1 /* StringExtensions.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = StringExtensions.swift; sourceTree = "<group>"; };
		44946C7E26FCDB7A00A260E1 /* SwiftExtensions.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = SwiftExtensions.swift; sourceTree = "<group>"; };
		44946C7F26FCDB7A00A260E1 /* AnyIdentifiable.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = AnyIdentifiable.swift; sourceTree = "<group>"; };
		44946C8026FCDB7A00A260E1 /* NSDecimalNumberOperators.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = NSDecimalNumberOperators.swift; sourceTree = "<group>"; };
		44946C8126FCDB7A00A260E1 /* OptionalProtocol.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = OptionalProtocol.swift; sourceTree = "<group>"; };
		44946C8226FCDB7A00A260E1 /* OrderedSet.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = OrderedSet.swift; sourceTree = "<group>"; };
		44946C8326FCDB7A00A260E1 /* Regex.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Regex.swift; sourceTree = "<group>"; };
		44946C8426FCDB7A00A260E1 /* Atomic.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Atomic.swift; sourceTree = "<group>"; };
		44946C8526FCDB7A00A260E1 /* CollectionExtensions.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = CollectionExtensions.swift; sourceTree = "<group>"; };
		44946C8726FCDB7A00A260E1 /* CombineExtensions.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = CombineExtensions.swift; sourceTree = "<group>"; };
		44946C8826FCDB7A00A260E1 /* Publisher+CombinePrevious.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "Publisher+CombinePrevious.swift"; sourceTree = "<group>"; };
		44946C8926FCDB7A00A260E1 /* CombineExtensions+Cancellables.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "CombineExtensions+Cancellables.swift"; sourceTree = "<group>"; };
		44946C8A26FCDB7A00A260E1 /* AnyCurrentValuePublisher.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = AnyCurrentValuePublisher.swift; sourceTree = "<group>"; };
		44946C8B26FCDB7A00A260E1 /* AnyAction.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = AnyAction.swift; sourceTree = "<group>"; };
		44946C8C26FCDB7A00A260E1 /* OverridingAction.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = OverridingAction.swift; sourceTree = "<group>"; };
		44946C8D26FCDB7A00A260E1 /* Publisher+TransferState.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "Publisher+TransferState.swift"; sourceTree = "<group>"; };
		44946C8E26FCDB7A00A260E1 /* PublishersExtensions.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = PublishersExtensions.swift; sourceTree = "<group>"; };
		44946C8F26FCDB7A00A260E1 /* Subject+SendResult.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "Subject+SendResult.swift"; sourceTree = "<group>"; };
		44946C9026FCDB7A00A260E1 /* ActionError.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ActionError.swift; sourceTree = "<group>"; };
		44946C9126FCDB7B00A260E1 /* Subscriber+EraseToAnySubscriber.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "Subscriber+EraseToAnySubscriber.swift"; sourceTree = "<group>"; };
		44946C9226FCDB7B00A260E1 /* ObservableObjectExtensions.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ObservableObjectExtensions.swift; sourceTree = "<group>"; };
		44946C9326FCDB7B00A260E1 /* ActionProtocol.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ActionProtocol.swift; sourceTree = "<group>"; };
		44946C9426FCDB7B00A260E1 /* NSObject+CombineExtensions.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "NSObject+CombineExtensions.swift"; sourceTree = "<group>"; };
		44946C9526FCDB7B00A260E1 /* CoalescingAction.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = CoalescingAction.swift; sourceTree = "<group>"; };
		44946C9626FCDB7B00A260E1 /* Action.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Action.swift; sourceTree = "<group>"; };
		44946C9726FCDB7B00A260E1 /* Published+PublisherInit.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "Published+PublisherInit.swift"; sourceTree = "<group>"; };
		44946C9826FCDB7B00A260E1 /* Publisher+IgnoreRepeats.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "Publisher+IgnoreRepeats.swift"; sourceTree = "<group>"; };
		44946C9926FCDB7B00A260E1 /* Publisher+AdditionalHandleEvents.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "Publisher+AdditionalHandleEvents.swift"; sourceTree = "<group>"; };
		44946C9A26FCDB7B00A260E1 /* PublisherExtensions.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = PublisherExtensions.swift; sourceTree = "<group>"; };
		44946C9C26FCDB7B00A260E1 /* LabelWithTitleAdjustment.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = LabelWithTitleAdjustment.swift; sourceTree = "<group>"; };
		44946C9D26FCDB7B00A260E1 /* DecoratingTextFieldDelegate.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = DecoratingTextFieldDelegate.swift; sourceTree = "<group>"; };
		44946C9E26FCDB7B00A260E1 /* ControlProtocol.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ControlProtocol.swift; sourceTree = "<group>"; };
		44946C9F26FCDB7B00A260E1 /* ScrollViewPage.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ScrollViewPage.swift; sourceTree = "<group>"; };
		44946CA026FCDB7B00A260E1 /* SetRootViewController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = SetRootViewController.swift; sourceTree = "<group>"; };
		44946CA126FCDB7B00A260E1 /* DimmingButton.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = DimmingButton.swift; sourceTree = "<group>"; };
		44946CA226FCDB7B00A260E1 /* KeyboardInsetHelper.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = KeyboardInsetHelper.swift; sourceTree = "<group>"; };
		44946CA326FCDB7B00A260E1 /* GradientView.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = GradientView.swift; sourceTree = "<group>"; };
		44946CA426FCDB7B00A260E1 /* HairlineView.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = HairlineView.swift; sourceTree = "<group>"; };
		44946CA526FCDB7B00A260E1 /* ButtonWithTitleAdjustment.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ButtonWithTitleAdjustment.swift; sourceTree = "<group>"; };
		44946CA626FCDB7B00A260E1 /* UIExtensions.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = UIExtensions.swift; sourceTree = "<group>"; };
		44946CAD26FCDB7B00A260E1 /* ActionErrorProtocol.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ActionErrorProtocol.swift; sourceTree = "<group>"; };
		44946CBA26FCDB7B00A260E1 /* ControlProtocol+Tapped.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "ControlProtocol+Tapped.swift"; sourceTree = "<group>"; };
		44946CBB26FCDB7B00A260E1 /* UIControl+ControlEventsPublisher.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "UIControl+ControlEventsPublisher.swift"; sourceTree = "<group>"; };
		44946CBC26FCDB7B00A260E1 /* TapAction.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = TapAction.swift; sourceTree = "<group>"; };
		44946CBD26FCDB7B00A260E1 /* UITextInput+Combine.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "UITextInput+Combine.swift"; sourceTree = "<group>"; };
		44946CBF26FCDB7B00A260E1 /* CombineOperators+Optional.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "CombineOperators+Optional.swift"; sourceTree = "<group>"; };
		44946CC026FCDB7B00A260E1 /* Combine+Operators.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "Combine+Operators.swift"; sourceTree = "<group>"; };
		44946CC626FCDB7B00A260E1 /* BlurView.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = BlurView.swift; sourceTree = "<group>"; };
		44946CC726FCDB7B00A260E1 /* FramePreferenceKey.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = FramePreferenceKey.swift; sourceTree = "<group>"; };
		44946CC826FCDB7B00A260E1 /* Binding+KeyPath.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "Binding+KeyPath.swift"; sourceTree = "<group>"; };
		44946CC926FCDB7B00A260E1 /* BackgroundBlur.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = BackgroundBlur.swift; sourceTree = "<group>"; };
		44946CCA26FCDB7B00A260E1 /* EdgeInsets+Helpers.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "EdgeInsets+Helpers.swift"; sourceTree = "<group>"; };
		44946CCB26FCDB7B00A260E1 /* View+AnyView.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "View+AnyView.swift"; sourceTree = "<group>"; };
		44946CCC26FCDB7B00A260E1 /* ForEachWithIndex.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ForEachWithIndex.swift; sourceTree = "<group>"; };
		44946D1826FD001400A260E1 /* FullQuiz.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FullQuiz.swift; sourceTree = "<group>"; };
		44946D1B26FD0E9E00A260E1 /* QuantumValue.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = QuantumValue.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		448104D226FBA795007F37F0 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				4481050526FBC76D007F37F0 /* Kingfisher in Frameworks */,
				440E0F9A26FDFE750098A266 /* SwiftyUserDefaults in Frameworks */,
				448456EB26FF756C003989CE /* Swinject in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		440E0F7126FD2C2D0098A266 /* QuizResult */ = {
			isa = PBXGroup;
			children = (
				440E0F7626FD30B10098A266 /* QuizResultCoordinator.swift */,
				440E0F7426FD305C0098A266 /* QuizResultViewModel.swift */,
				440E0F7226FD2C550098A266 /* QuizResultView.swift */,
			);
			path = QuizResult;
			sourceTree = "<group>";
		};
		440E0F9326FDF4750098A266 /* UI */ = {
			isa = PBXGroup;
			children = (
				44946BD326FCBFD600A260E1 /* ProgressPresenter.swift */,
				44946BD526FCCC9A00A260E1 /* UIView+Constraints.swift */,
				44946BD126FCA19700A260E1 /* ButtonStyles.swift */,
				448456F42701273D003989CE /* QuizImage.swift */,
			);
			path = UI;
			sourceTree = "<group>";
		};
		448104CC26FBA795007F37F0 = {
			isa = PBXGroup;
			children = (
				448104D726FBA795007F37F0 /* WP_Project */,
				448104D626FBA795007F37F0 /* Products */,
			);
			sourceTree = "<group>";
		};
		448104D626FBA795007F37F0 /* Products */ = {
			isa = PBXGroup;
			children = (
				448104D526FBA795007F37F0 /* WP_Project.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		448104D726FBA795007F37F0 /* WP_Project */ = {
			isa = PBXGroup;
			children = (
				44946D1726FCDD9600A260E1 /* Vendors */,
				448104D826FBA795007F37F0 /* AppDelegate.swift */,
				448104DA26FBA795007F37F0 /* SceneDelegate.swift */,
				448456EE26FF761C003989CE /* UIApplication+dependencyContainer.swift */,
				448456F026FF7E4F003989CE /* Container+Expanded.swift */,
				44946D1A26FD0E9000A260E1 /* Commons */,
				448104FA26FBA7E2007F37F0 /* Services */,
				448104EC26FBA7C8007F37F0 /* Flow */,
				448104F726FBA7D5007F37F0 /* Models */,
				448104DE26FBA798007F37F0 /* Assets.xcassets */,
				448104E326FBA798007F37F0 /* LaunchScreen.storyboard */,
				448104E626FBA798007F37F0 /* Info.plist */,
				448104E026FBA798007F37F0 /* Preview Content */,
			);
			path = WP_Project;
			sourceTree = "<group>";
		};
		448104E026FBA798007F37F0 /* Preview Content */ = {
			isa = PBXGroup;
			children = (
				448104E126FBA798007F37F0 /* Preview Assets.xcassets */,
			);
			path = "Preview Content";
			sourceTree = "<group>";
		};
		448104EC26FBA7C8007F37F0 /* Flow */ = {
			isa = PBXGroup;
			children = (
				448104EF26FBA7C8007F37F0 /* Quizzes */,
				448104ED26FBA7C8007F37F0 /* Quiz */,
				440E0F7126FD2C2D0098A266 /* QuizResult */,
			);
			path = Flow;
			sourceTree = "<group>";
		};
		448104ED26FBA7C8007F37F0 /* Quiz */ = {
			isa = PBXGroup;
			children = (
				44946BC926FC8D0000A260E1 /* QuizCoordinator.swift */,
				44946BCD26FC8D7000A260E1 /* QuizViewModel.swift */,
				448104EE26FBA7C8007F37F0 /* QuizView.swift */,
			);
			path = Quiz;
			sourceTree = "<group>";
		};
		448104EF26FBA7C8007F37F0 /* Quizzes */ = {
			isa = PBXGroup;
			children = (
				44946BC526FC8B4000A260E1 /* QuizzesCoordinator.swift */,
				448104F226FBA7C8007F37F0 /* QuizzesViewModel.swift */,
				448104F026FBA7C8007F37F0 /* QuizzesView.swift */,
				448104F126FBA7C8007F37F0 /* QuizRowView.swift */,
			);
			path = Quizzes;
			sourceTree = "<group>";
		};
		448104F726FBA7D5007F37F0 /* Models */ = {
			isa = PBXGroup;
			children = (
				440E0F6F26FD1F330098A266 /* MainPhoto.swift */,
				448104F826FBA7D5007F37F0 /* ShortQuiz.swift */,
				44946D1826FD001400A260E1 /* FullQuiz.swift */,
				440E0F9626FDF68D0098A266 /* QuizHistory.swift */,
				440E0F9F26FF67800098A266 /* QuizRecovery.swift */,
			);
			path = Models;
			sourceTree = "<group>";
		};
		448104FA26FBA7E2007F37F0 /* Services */ = {
			isa = PBXGroup;
			children = (
				448104FB26FBA7E2007F37F0 /* ServiceLayer.swift */,
				448104FC26FBA7E2007F37F0 /* QuizeServiceLayer.swift */,
				440E0FA126FF67DE0098A266 /* UserDefaultsService.swift */,
				440E0F9426FDF6450098A266 /* QuizHistoryService.swift */,
				440E0F9D26FF63C10098A266 /* QuizRecoveryService.swift */,
			);
			path = Services;
			sourceTree = "<group>";
		};
		44946C7726FCDB7A00A260E1 /* FueledUtils */ = {
			isa = PBXGroup;
			children = (
				44946C7926FCDB7A00A260E1 /* Core */,
				44946C8626FCDB7A00A260E1 /* Combine */,
				44946C9B26FCDB7B00A260E1 /* UIKit */,
				44946CAC26FCDB7B00A260E1 /* ReactiveCommon */,
				44946CB926FCDB7B00A260E1 /* CombineUIKit */,
				44946CBE26FCDB7B00A260E1 /* CombineOperators */,
				44946CC526FCDB7B00A260E1 /* SwiftUI */,
			);
			path = FueledUtils;
			sourceTree = "<group>";
		};
		44946C7926FCDB7A00A260E1 /* Core */ = {
			isa = PBXGroup;
			children = (
				44946C7A26FCDB7A00A260E1 /* TransferState.swift */,
				44946C7B26FCDB7A00A260E1 /* SequenceExtensions.swift */,
				44946C7C26FCDB7A00A260E1 /* Lock.swift */,
				44946C7D26FCDB7A00A260E1 /* StringExtensions.swift */,
				44946C7E26FCDB7A00A260E1 /* SwiftExtensions.swift */,
				44946C7F26FCDB7A00A260E1 /* AnyIdentifiable.swift */,
				44946C8026FCDB7A00A260E1 /* NSDecimalNumberOperators.swift */,
				44946C8126FCDB7A00A260E1 /* OptionalProtocol.swift */,
				44946C8226FCDB7A00A260E1 /* OrderedSet.swift */,
				44946C8326FCDB7A00A260E1 /* Regex.swift */,
				44946C8426FCDB7A00A260E1 /* Atomic.swift */,
				44946C8526FCDB7A00A260E1 /* CollectionExtensions.swift */,
			);
			path = Core;
			sourceTree = "<group>";
		};
		44946C8626FCDB7A00A260E1 /* Combine */ = {
			isa = PBXGroup;
			children = (
				44946C8726FCDB7A00A260E1 /* CombineExtensions.swift */,
				44946C8826FCDB7A00A260E1 /* Publisher+CombinePrevious.swift */,
				44946C8926FCDB7A00A260E1 /* CombineExtensions+Cancellables.swift */,
				44946C8A26FCDB7A00A260E1 /* AnyCurrentValuePublisher.swift */,
				44946C8B26FCDB7A00A260E1 /* AnyAction.swift */,
				44946C8C26FCDB7A00A260E1 /* OverridingAction.swift */,
				44946C8D26FCDB7A00A260E1 /* Publisher+TransferState.swift */,
				44946C8E26FCDB7A00A260E1 /* PublishersExtensions.swift */,
				44946C8F26FCDB7A00A260E1 /* Subject+SendResult.swift */,
				44946C9026FCDB7A00A260E1 /* ActionError.swift */,
				44946C9126FCDB7B00A260E1 /* Subscriber+EraseToAnySubscriber.swift */,
				44946C9226FCDB7B00A260E1 /* ObservableObjectExtensions.swift */,
				44946C9326FCDB7B00A260E1 /* ActionProtocol.swift */,
				44946C9426FCDB7B00A260E1 /* NSObject+CombineExtensions.swift */,
				44946C9526FCDB7B00A260E1 /* CoalescingAction.swift */,
				44946C9626FCDB7B00A260E1 /* Action.swift */,
				44946C9726FCDB7B00A260E1 /* Published+PublisherInit.swift */,
				44946C9826FCDB7B00A260E1 /* Publisher+IgnoreRepeats.swift */,
				44946C9926FCDB7B00A260E1 /* Publisher+AdditionalHandleEvents.swift */,
				44946C9A26FCDB7B00A260E1 /* PublisherExtensions.swift */,
			);
			path = Combine;
			sourceTree = "<group>";
		};
		44946C9B26FCDB7B00A260E1 /* UIKit */ = {
			isa = PBXGroup;
			children = (
				44946C9C26FCDB7B00A260E1 /* LabelWithTitleAdjustment.swift */,
				44946C9D26FCDB7B00A260E1 /* DecoratingTextFieldDelegate.swift */,
				44946C9E26FCDB7B00A260E1 /* ControlProtocol.swift */,
				44946C9F26FCDB7B00A260E1 /* ScrollViewPage.swift */,
				44946CA026FCDB7B00A260E1 /* SetRootViewController.swift */,
				44946CA126FCDB7B00A260E1 /* DimmingButton.swift */,
				44946CA226FCDB7B00A260E1 /* KeyboardInsetHelper.swift */,
				44946CA326FCDB7B00A260E1 /* GradientView.swift */,
				44946CA426FCDB7B00A260E1 /* HairlineView.swift */,
				44946CA526FCDB7B00A260E1 /* ButtonWithTitleAdjustment.swift */,
				44946CA626FCDB7B00A260E1 /* UIExtensions.swift */,
			);
			path = UIKit;
			sourceTree = "<group>";
		};
		44946CAC26FCDB7B00A260E1 /* ReactiveCommon */ = {
			isa = PBXGroup;
			children = (
				44946CAD26FCDB7B00A260E1 /* ActionErrorProtocol.swift */,
			);
			path = ReactiveCommon;
			sourceTree = "<group>";
		};
		44946CB926FCDB7B00A260E1 /* CombineUIKit */ = {
			isa = PBXGroup;
			children = (
				44946CBA26FCDB7B00A260E1 /* ControlProtocol+Tapped.swift */,
				44946CBB26FCDB7B00A260E1 /* UIControl+ControlEventsPublisher.swift */,
				44946CBC26FCDB7B00A260E1 /* TapAction.swift */,
				44946CBD26FCDB7B00A260E1 /* UITextInput+Combine.swift */,
			);
			path = CombineUIKit;
			sourceTree = "<group>";
		};
		44946CBE26FCDB7B00A260E1 /* CombineOperators */ = {
			isa = PBXGroup;
			children = (
				44946CBF26FCDB7B00A260E1 /* CombineOperators+Optional.swift */,
				44946CC026FCDB7B00A260E1 /* Combine+Operators.swift */,
			);
			path = CombineOperators;
			sourceTree = "<group>";
		};
		44946CC526FCDB7B00A260E1 /* SwiftUI */ = {
			isa = PBXGroup;
			children = (
				44946CC626FCDB7B00A260E1 /* BlurView.swift */,
				44946CC726FCDB7B00A260E1 /* FramePreferenceKey.swift */,
				44946CC826FCDB7B00A260E1 /* Binding+KeyPath.swift */,
				44946CC926FCDB7B00A260E1 /* BackgroundBlur.swift */,
				44946CCA26FCDB7B00A260E1 /* EdgeInsets+Helpers.swift */,
				44946CCB26FCDB7B00A260E1 /* View+AnyView.swift */,
				44946CCC26FCDB7B00A260E1 /* ForEachWithIndex.swift */,
			);
			path = SwiftUI;
			sourceTree = "<group>";
		};
		44946D1726FCDD9600A260E1 /* Vendors */ = {
			isa = PBXGroup;
			children = (
				44946C7726FCDB7A00A260E1 /* FueledUtils */,
			);
			path = Vendors;
			sourceTree = "<group>";
		};
		44946D1A26FD0E9000A260E1 /* Commons */ = {
			isa = PBXGroup;
			children = (
				440E0F9B26FDFE910098A266 /* DefaultsKeys.swift */,
				448104FF26FBA7EE007F37F0 /* ImageURLBuilder.swift */,
				44946D1B26FD0E9E00A260E1 /* QuantumValue.swift */,
				440E0F9326FDF4750098A266 /* UI */,
			);
			path = Commons;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		448104D426FBA795007F37F0 /* WP_Project */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 448104E926FBA798007F37F0 /* Build configuration list for PBXNativeTarget "WP_Project" */;
			buildPhases = (
				448104D126FBA795007F37F0 /* Sources */,
				448104D226FBA795007F37F0 /* Frameworks */,
				448104D326FBA795007F37F0 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = WP_Project;
			packageProductDependencies = (
				4481050426FBC76D007F37F0 /* Kingfisher */,
				440E0F9926FDFE750098A266 /* SwiftyUserDefaults */,
				448456EA26FF756C003989CE /* Swinject */,
			);
			productName = WP_Project;
			productReference = 448104D526FBA795007F37F0 /* WP_Project.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		448104CD26FBA795007F37F0 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1250;
				LastUpgradeCheck = 1250;
				TargetAttributes = {
					448104D426FBA795007F37F0 = {
						CreatedOnToolsVersion = 12.5.1;
					};
				};
			};
			buildConfigurationList = 448104D026FBA795007F37F0 /* Build configuration list for PBXProject "WP_Project" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 448104CC26FBA795007F37F0;
			packageReferences = (
				4481050326FBC76D007F37F0 /* XCRemoteSwiftPackageReference "Kingfisher" */,
				440E0F9826FDFE750098A266 /* XCRemoteSwiftPackageReference "SwiftyUserDefaults" */,
				448456E926FF756C003989CE /* XCRemoteSwiftPackageReference "Swinject" */,
			);
			productRefGroup = 448104D626FBA795007F37F0 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				448104D426FBA795007F37F0 /* WP_Project */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		448104D326FBA795007F37F0 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				448104E526FBA798007F37F0 /* LaunchScreen.storyboard in Resources */,
				448104E226FBA798007F37F0 /* Preview Assets.xcassets in Resources */,
				448104DF26FBA798007F37F0 /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		448104D126FBA795007F37F0 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				448104D926FBA795007F37F0 /* AppDelegate.swift in Sources */,
				440E0F9C26FDFE910098A266 /* DefaultsKeys.swift in Sources */,
				440E0F7026FD1F330098A266 /* MainPhoto.swift in Sources */,
				44946D1326FCDB7B00A260E1 /* BackgroundBlur.swift in Sources */,
				44946D0826FCDB7B00A260E1 /* UIControl+ControlEventsPublisher.swift in Sources */,
				44946D1426FCDB7B00A260E1 /* EdgeInsets+Helpers.swift in Sources */,
				44946CE826FCDB7B00A260E1 /* Action.swift in Sources */,
				44946D1C26FD0E9E00A260E1 /* QuantumValue.swift in Sources */,
				44946CEC26FCDB7B00A260E1 /* PublisherExtensions.swift in Sources */,
				44946D1026FCDB7B00A260E1 /* BlurView.swift in Sources */,
				44946D0A26FCDB7B00A260E1 /* UITextInput+Combine.swift in Sources */,
				44946D0C26FCDB7B00A260E1 /* Combine+Operators.swift in Sources */,
				44946CDA26FCDB7B00A260E1 /* Publisher+CombinePrevious.swift in Sources */,
				440E0FA026FF67800098A266 /* QuizRecovery.swift in Sources */,
				44946CE026FCDB7B00A260E1 /* PublishersExtensions.swift in Sources */,
				44946CD826FCDB7B00A260E1 /* CollectionExtensions.swift in Sources */,
				44946BCA26FC8D0000A260E1 /* QuizCoordinator.swift in Sources */,
				44946CCF26FCDB7B00A260E1 /* Lock.swift in Sources */,
				448104F426FBA7C8007F37F0 /* QuizzesView.swift in Sources */,
				44946CE526FCDB7B00A260E1 /* ActionProtocol.swift in Sources */,
				448104FE26FBA7E2007F37F0 /* QuizeServiceLayer.swift in Sources */,
				44946CE126FCDB7B00A260E1 /* Subject+SendResult.swift in Sources */,
				448104F626FBA7C8007F37F0 /* QuizzesViewModel.swift in Sources */,
				440E0F9726FDF68D0098A266 /* QuizHistory.swift in Sources */,
				440E0F7726FD30B10098A266 /* QuizResultCoordinator.swift in Sources */,
				44946BC626FC8B4000A260E1 /* QuizzesCoordinator.swift in Sources */,
				44946CF026FCDB7B00A260E1 /* ScrollViewPage.swift in Sources */,
				440E0FA226FF67DE0098A266 /* UserDefaultsService.swift in Sources */,
				440E0F7326FD2C550098A266 /* QuizResultView.swift in Sources */,
				44946CF226FCDB7B00A260E1 /* DimmingButton.swift in Sources */,
				448456F52701273D003989CE /* QuizImage.swift in Sources */,
				44946D1226FCDB7B00A260E1 /* Binding+KeyPath.swift in Sources */,
				44946CCD26FCDB7B00A260E1 /* TransferState.swift in Sources */,
				44946CE226FCDB7B00A260E1 /* ActionError.swift in Sources */,
				44946D1126FCDB7B00A260E1 /* FramePreferenceKey.swift in Sources */,
				44946D1526FCDB7B00A260E1 /* View+AnyView.swift in Sources */,
				448104F326FBA7C8007F37F0 /* QuizView.swift in Sources */,
				44946CD526FCDB7B00A260E1 /* OrderedSet.swift in Sources */,
				448456EF26FF761C003989CE /* UIApplication+dependencyContainer.swift in Sources */,
				440E0F7526FD305C0098A266 /* QuizResultViewModel.swift in Sources */,
				44946CD426FCDB7B00A260E1 /* OptionalProtocol.swift in Sources */,
				44946D0726FCDB7B00A260E1 /* ControlProtocol+Tapped.swift in Sources */,
				448104DB26FBA795007F37F0 /* SceneDelegate.swift in Sources */,
				44946CDE26FCDB7B00A260E1 /* OverridingAction.swift in Sources */,
				44946CD926FCDB7B00A260E1 /* CombineExtensions.swift in Sources */,
				44946CE926FCDB7B00A260E1 /* Published+PublisherInit.swift in Sources */,
				44946CEB26FCDB7B00A260E1 /* Publisher+AdditionalHandleEvents.swift in Sources */,
				44946CDC26FCDB7B00A260E1 /* AnyCurrentValuePublisher.swift in Sources */,
				44946CDB26FCDB7B00A260E1 /* CombineExtensions+Cancellables.swift in Sources */,
				44946CE626FCDB7B00A260E1 /* NSObject+CombineExtensions.swift in Sources */,
				44946BCE26FC8D7000A260E1 /* QuizViewModel.swift in Sources */,
				44946CCE26FCDB7B00A260E1 /* SequenceExtensions.swift in Sources */,
				44946D1626FCDB7B00A260E1 /* ForEachWithIndex.swift in Sources */,
				44946CE326FCDB7B00A260E1 /* Subscriber+EraseToAnySubscriber.swift in Sources */,
				44946CD026FCDB7B00A260E1 /* StringExtensions.swift in Sources */,
				44946CF726FCDB7B00A260E1 /* UIExtensions.swift in Sources */,
				44946D1926FD001500A260E1 /* FullQuiz.swift in Sources */,
				44946CF126FCDB7B00A260E1 /* SetRootViewController.swift in Sources */,
				448104F526FBA7C8007F37F0 /* QuizRowView.swift in Sources */,
				44946CDF26FCDB7B00A260E1 /* Publisher+TransferState.swift in Sources */,
				44946BD226FCA19700A260E1 /* ButtonStyles.swift in Sources */,
				448104F926FBA7D5007F37F0 /* ShortQuiz.swift in Sources */,
				44946CF526FCDB7B00A260E1 /* HairlineView.swift in Sources */,
				44946CD226FCDB7B00A260E1 /* AnyIdentifiable.swift in Sources */,
				44946CD726FCDB7B00A260E1 /* Atomic.swift in Sources */,
				44946CD326FCDB7B00A260E1 /* NSDecimalNumberOperators.swift in Sources */,
				44946CF326FCDB7B00A260E1 /* KeyboardInsetHelper.swift in Sources */,
				44946CFC26FCDB7B00A260E1 /* ActionErrorProtocol.swift in Sources */,
				44946CEF26FCDB7B00A260E1 /* ControlProtocol.swift in Sources */,
				440E0F9526FDF6450098A266 /* QuizHistoryService.swift in Sources */,
				44946BD426FCBFD600A260E1 /* ProgressPresenter.swift in Sources */,
				44946CF626FCDB7B00A260E1 /* ButtonWithTitleAdjustment.swift in Sources */,
				448104FD26FBA7E2007F37F0 /* ServiceLayer.swift in Sources */,
				4481050026FBA7EE007F37F0 /* ImageURLBuilder.swift in Sources */,
				44946CF426FCDB7B00A260E1 /* GradientView.swift in Sources */,
				44946BD626FCCC9A00A260E1 /* UIView+Constraints.swift in Sources */,
				44946CD126FCDB7B00A260E1 /* SwiftExtensions.swift in Sources */,
				448456F126FF7E4F003989CE /* Container+Expanded.swift in Sources */,
				44946CEA26FCDB7B00A260E1 /* Publisher+IgnoreRepeats.swift in Sources */,
				44946CEE26FCDB7B00A260E1 /* DecoratingTextFieldDelegate.swift in Sources */,
				44946CDD26FCDB7B00A260E1 /* AnyAction.swift in Sources */,
				44946CE426FCDB7B00A260E1 /* ObservableObjectExtensions.swift in Sources */,
				44946D0926FCDB7B00A260E1 /* TapAction.swift in Sources */,
				44946CE726FCDB7B00A260E1 /* CoalescingAction.swift in Sources */,
				440E0F9E26FF63C20098A266 /* QuizRecoveryService.swift in Sources */,
				44946CED26FCDB7B00A260E1 /* LabelWithTitleAdjustment.swift in Sources */,
				44946D0B26FCDB7B00A260E1 /* CombineOperators+Optional.swift in Sources */,
				44946CD626FCDB7B00A260E1 /* Regex.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		448104E326FBA798007F37F0 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				448104E426FBA798007F37F0 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		448104E726FBA798007F37F0 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 14.5;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		448104E826FBA798007F37F0 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 14.5;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		448104EA26FBA798007F37F0 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_ASSET_PATHS = "\"WP_Project/Preview Content\"";
				DEVELOPMENT_TEAM = E7DAAV478D;
				ENABLE_PREVIEWS = YES;
				INFOPLIST_FILE = WP_Project/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "Home.WP-Project";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		448104EB26FBA798007F37F0 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_ASSET_PATHS = "\"WP_Project/Preview Content\"";
				DEVELOPMENT_TEAM = E7DAAV478D;
				ENABLE_PREVIEWS = YES;
				INFOPLIST_FILE = WP_Project/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "Home.WP-Project";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		448104D026FBA795007F37F0 /* Build configuration list for PBXProject "WP_Project" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				448104E726FBA798007F37F0 /* Debug */,
				448104E826FBA798007F37F0 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		448104E926FBA798007F37F0 /* Build configuration list for PBXNativeTarget "WP_Project" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				448104EA26FBA798007F37F0 /* Debug */,
				448104EB26FBA798007F37F0 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */

/* Begin XCRemoteSwiftPackageReference section */
		440E0F9826FDFE750098A266 /* XCRemoteSwiftPackageReference "SwiftyUserDefaults" */ = {
			isa = XCRemoteSwiftPackageReference;
			repositoryURL = "https://github.com/sunshinejr/SwiftyUserDefaults.git";
			requirement = {
				kind = upToNextMajorVersion;
				minimumVersion = 5.3.0;
			};
		};
		4481050326FBC76D007F37F0 /* XCRemoteSwiftPackageReference "Kingfisher" */ = {
			isa = XCRemoteSwiftPackageReference;
			repositoryURL = "https://github.com/onevcat/Kingfisher.git";
			requirement = {
				kind = upToNextMajorVersion;
				minimumVersion = 7.0.0;
			};
		};
		448456E926FF756C003989CE /* XCRemoteSwiftPackageReference "Swinject" */ = {
			isa = XCRemoteSwiftPackageReference;
			repositoryURL = "https://github.com/Swinject/Swinject";
			requirement = {
				kind = upToNextMajorVersion;
				minimumVersion = 2.8.0;
			};
		};
/* End XCRemoteSwiftPackageReference section */

/* Begin XCSwiftPackageProductDependency section */
		440E0F9926FDFE750098A266 /* SwiftyUserDefaults */ = {
			isa = XCSwiftPackageProductDependency;
			package = 440E0F9826FDFE750098A266 /* XCRemoteSwiftPackageReference "SwiftyUserDefaults" */;
			productName = SwiftyUserDefaults;
		};
		4481050426FBC76D007F37F0 /* Kingfisher */ = {
			isa = XCSwiftPackageProductDependency;
			package = 4481050326FBC76D007F37F0 /* XCRemoteSwiftPackageReference "Kingfisher" */;
			productName = Kingfisher;
		};
		448456EA26FF756C003989CE /* Swinject */ = {
			isa = XCSwiftPackageProductDependency;
			package = 448456E926FF756C003989CE /* XCRemoteSwiftPackageReference "Swinject" */;
			productName = Swinject;
		};
/* End XCSwiftPackageProductDependency section */
	};
	rootObject = 448104CD26FBA795007F37F0 /* Project object */;
}
